starknet_syncing

Returns an object about the sync status, or false if the node is not synching

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Parameters

None

Result

An object with data about the sync status.

Result Fields

KeyTypeDetail
current_block_hashStringHash of the current block.
current_block_numStringA hex code of an integer of the current block num.
highest_block_hashStringHash of the estimated highest block.
highest_block_numStringA hex code of an integer of the estimated highest block num.
starting_block_hashStringHash of the block that represents the block at which the import started.
starting_block_numStringA hex code of an integer of the block num at which the import started.

Example

Request

curl <your-endpoint> \
    -X POST \
    -H "Content-Type: application/json" \
    -d '{"jsonrpc":"2.0","method":"starknet_syncing","params": [],"id":1}'

Return

{
    "jsonrpc": "2.0",
    "result": {
        "starting_block_num": "0x817a",
        "current_block_num": "0xc3dc",
        "highest_block_num": "0xc3dc",
        "starting_block_hash": "0xdcfc5dfe45e201080824420af5750289f8bd93b875ec94a44f3d6a6139f47a",
        "current_block_hash": "0x1d63153d6135747546177690c826eb6e6aa8b071a43cfeae346110486dcc4aa",
        "highest_block_hash": "0x1d63153d6135747546177690c826eb6e6aa8b071a43cfeae346110486dcc4aa"
    },
    "id": 1
}
Path Params
string
required
Defaults to 8aaf885beba8418cbf4e6788083e1f9e
Body Params
string
Defaults to {"jsonrpc":"2.0","method":"starknet_syncing","params": [],"id":1}
Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json